does Parallels Desktop 7 run with Snow leopard (or only with Lion) ?

  • Asked by Parouty J
  • 28-Sep-2011
Parallels

Parallels

Product No Longer Available

3 Answers from the Community

  • Best Answer:

    YES, it will run with Leopard 10.5.8 or later, also Snow Leopard 10.6.3 or Later and Lion 10.7 or later.

    • Answered by Thomas C from Hinsdale
    • 1-Oct-2011
  • It runs with fine with the latest version of Snow Leopard.

    • Answered by Devon S
    • 5-Oct-2011
  • Could someone please revisit this -- from what I found, one cannot install Leopard/Snow Leopard in Parallels Desktop 7 (only the Leopard/Snow Leopard Server versions). Any suggestions?

    • Answered by Alexander A from Mountain View
    • 3-Apr-2012